ChannelRouteIterator Class Reference
Inheritance diagram for ChannelRouteIterator:

## Public Member Functions

| ChannelRouteIterator (ChannelSwitch &cs)
void | Reset (const std::string &channel)
bool | End () const
void | Next ()
BufferedTransformation & | Destination ()
const std::string & | Channel ()

## Public Attributes

ChannelSwitch & | m_cs
std::string | m_channel
bool | m_useDefault
MapIterator | m_itMapCurrent
MapIterator | m_itMapEnd
ListIterator | m_itListCurrent
ListIterator | m_itListEnd

## Additional Inherited Members

Public Types inherited from ChannelSwitchTypedefs
typedef std::pair< BufferedTransformation *, std::string > | Route
typedef std::multimap< std::string, Route > | RouteMap
typedef std::pair< BufferedTransformation *, value_ptr< std::string > > | DefaultRoute
typedef std::list< DefaultRoute > | DefaultRouteList
typedef RouteMap::iterator | MapIterator
typedef DefaultRouteList::iterator | ListIterator

## Detailed Description

Definition at line 73 of file channels.h.

## Constructor & Destructor Documentation

## ChannelRouteIterator()

ChannelRouteIterator::ChannelRouteIterator | ( | ChannelSwitch & | cs | ) |

inline

Definition at line 76 of file channels.h.

## Member Data Documentation

## m_cs

ChannelSwitch& ChannelRouteIterator::m_cs

Definition at line 84 of file channels.h.

## m_channel

std::string ChannelRouteIterator::m_channel

Definition at line 85 of file channels.h.

## m_useDefault

bool ChannelRouteIterator::m_useDefault

Definition at line 86 of file channels.h.

## m_itMapCurrent

MapIterator ChannelRouteIterator::m_itMapCurrent

Definition at line 87 of file channels.h.

## m_itMapEnd

MapIterator ChannelRouteIterator::m_itMapEnd

Definition at line 87 of file channels.h.

## m_itListCurrent

ListIterator ChannelRouteIterator::m_itListCurrent

Definition at line 88 of file channels.h.

## m_itListEnd

ListIterator ChannelRouteIterator::m_itListEnd

Definition at line 88 of file channels.h.

The documentation for this class was generated from the following file:

- channels.h